<?php
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

function plugin_install() 
{
  global $prefixeTable;

  pwg_query("
CREATE TABLE `" . $prefixeTable . "comments_categories` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `category_id` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `author` varchar(255) DEFAULT NULL,
  `author_id` smallint(5) DEFAULT NULL,
  `content` longtext,
  `validated` enum('true','false') NOT NULL DEFAULT 'false',
  `validation_date` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8
;");
}

function plugin_activate()
{
  global $conf;
  
  if (isset($conf['comments_on_albums']))
  {
    pwg_query('DELETE FROM '.CONFIG_TABLE.' WHERE param="comments_on_albums" LIMIT 1;');
  }
}

function plugin_uninstall() 
{
  global $prefixeTable;

  pwg_query("DROP TABLE `" . $prefixeTable . "comments_categories`;");
}
?>